ATMEL: Data Fields

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - f -

- f_get_serial_string : usb_standard_request.c , usb_standard_request.h
- f_hub_port_disconnect : usb_host_hub.h , usb_host_hub.c
- FAIL : compiler.h
- FALSE : compiler.h
- false : compiler.h
- fat_alloc_entry_free() : fat_unusual.c
- fat_allocfreespace() : fat.h
- fat_cache_clear() : fat.h
- fat_cache_clusterlist_reset() : fat.c , fat.h
- fat_cache_clusterlist_update_finish() : fat.c
- fat_cache_clusterlist_update_read() : fat.c
- fat_cache_clusterlist_update_select() : fat.c
- fat_cache_clusterlist_update_start() : fat.c
- fat_cache_flush() : fat.c , fat.h
- fat_cache_mark_sector_as_dirty() : fat.h
- fat_cache_read_sector() : fat.c , fat.h
- fat_cache_reset() : fat.c , fat.h
- fat_check_device() : fat.c , fat.h
- fat_check_eof_name() : fat.c , fat.h
- fat_check_is_file() : fat.c , fat.h
- fat_check_mount() : fat.c , fat.h
- fat_check_mount_noopen() : fat.c , fat.h
- fat_check_mount_select() : fat.c , fat.h
- fat_check_mount_select_noopen() : fat.c , fat.h
- fat_check_mount_select_open() : fat.c , fat.h
- fat_check_name() : fat_unusual.c
- fat_check_nav_access_disk : fat.h
- fat_check_nav_access_file : fat.h
- fat_check_noopen() : fat.c , fat.h
- fat_check_open() : fat.c , fat.h
- fat_check_select() : fat.c , fat.h
- fat_checkcluster() : fat.c , fat.h
- fat_clean_zone() : fat_unusual.c
- fat_clear_cluster() : fat.h
- fat_clear_entry_info_and_ptr() : fat.c , fat.h
- fat_clear_info_fat_mod() : fat.h
- fat_cluster_list() : fat.c , fat.h
- fat_cluster_readnext() : fat.c , fat.h
- fat_cluster_val() : fat.c , fat.h
- fat_copy_nav : fat.h
- fat_create_entry_file_name() : fat.h
- fat_create_long_name_entry() : fat_unusual.c
- fat_create_short_entry_name() : fat_unusual.c
- fat_delete_file() : fat.h
- fat_entry_check() : fat.c , fat.h
- fat_entry_checkext() : fat.c , fat.h
- fat_entry_is_dir() : fat.c , fat.h
- fat_entry_label() : fat.h
- fat_entry_longname() : fat.c , fat.h
- fat_entry_shortname() : fat.c , fat.h
- fat_entry_shortname_compare() : fat_unusual.c
- Fat_file_close : fat.h
- Fat_file_is_open : fat.h
- Fat_file_isnot_open : fat.h
- fat_find_short_entry_name() : fat_unusual.c
- fat_format() : fat.h
- fat_garbage_collector_entry() : fat_unusual.c
- fat_get_date() : fat.h , fat_unusual.c
- fat_get_entry_info() : fat.c , fat.h
- fat_get_nbpartition() : fat.c , fat.h
- fat_get_ptr_entry() : fat.c , fat.h
- fat_getfreespace() : fat.h , fat_unusual.c
- fat_getfreespace_percent() : fat.h , fat_unusual.c
- fat_initialize_dir() : fat.h
- fat_initialize_fat() : fat_unusual.c
- fat_invert_nav : fat.h
- Fat_is_not_a_file : fs_com.h
- fat_mount() : fat.h , fat_unusual.c
- fat_read_dir() : fat.c , fat.h
- fat_read_fat32_FSInfo() : fat.h
- fat_read_file() : fat.c , fat.h
- fat_select_filesystem() : fat_unusual.c
- fat_serialnumber() : fat.h
- fat_set_date() : fat.h
- fat_translate_ascii_to_number() : fat_unusual.c
- fat_translate_char_shortname() : fat_unusual.c
- fat_translate_number_to_ascii() : fat_unusual.c
- fat_translatedate_ascii_to_number() : fat_unusual.c
- fat_translatedate_number_to_ascii() : fat_unusual.c
- fat_update_fat2() : fat.h
- fat_write_entry_file() : fat.h
- fat_write_fat32_FSInfo() : fat.h
- fat_write_file() : fat.h
- fat_write_MBR() : fat_unusual.c
- fat_write_PBR() : fat_unusual.c
- FEATURE_DEVICE_OTG_A_ALT_HNP_SUPPORT : usb_commun.h
- FEATURE_DEVICE_OTG_A_HNP_SUPPORT : usb_commun.h
- FEATURE_DEVICE_OTG_B_HNP_ENABLE : usb_commun.h
- FEATURE_DEVICE_REMOTE_WAKEUP : usb_commun.h
- FEATURE_DEVICE_TEST : usb_commun.h
- FEATURE_DEVICE_TEST_FORCE_ENABLE : usb_commun.h
- FEATURE_DEVICE_TEST_J : usb_commun.h
- FEATURE_DEVICE_TEST_K : usb_commun.h
- FEATURE_DEVICE_TEST_PACKET : usb_commun.h
- FEATURE_DEVICE_TEST_SEO_NAK : usb_commun.h
- FEATURE_ENDPOINT_HALT : usb_commun.h
- FILE_ALLOC_SIZE : ushell_task.c
- file_bof() : file.c , file.h
- file_close() : file.c , file.h
- file_eof() : file.c , file.h
- file_flush() : file.c , file.h
- file_getc() : file.c , file.h
- file_getpos() : file.c , file.h
- file_ispresent() : file.c , file.h
- file_load_segment_value() : file.c
- file_open() : file.c , file.h
- file_putc() : file.h
- file_read() : file.c , file.h
- file_read_buf() : file.c , file.h
- file_seek() : file.c , file.h
- file_set_eof() : file.h
- file_write() : file.h
- file_write_buf() : file.h
- firmware_name : host_dfu_task.c
- FIRMWARE_NAME : host_dfu_task.h
- flash_read_fuse() : flash_drv.h
- Flash_read_fuse_extended : flash_drv.h
- Flash_read_fuse_high : flash_drv.h
- Flash_read_fuse_low : flash_drv.h
- Flash_read_id1 : flash_drv.h
- Flash_read_id2 : flash_drv.h
- Flash_read_id3 : flash_drv.h
- Flash_read_lock : flash_drv.h
- Flash_read_osccal : flash_drv.h
- flash_read_sig() : flash_drv.h
- Flash_read_sn : flash_drv.h
- FLASH_SIZE : flash.h
- Float16 : compiler.h
- FOPEN_CLEAR_PTR : fs_com.h
- FOPEN_CLEAR_SIZE : fs_com.h
- FOPEN_MODE_APPEND : fs_com.h
- FOPEN_MODE_R : fs_com.h
- FOPEN_MODE_R_PLUS : fs_com.h
- FOPEN_MODE_W : fs_com.h
- FOPEN_MODE_W_PLUS : fs_com.h
- FOPEN_READ_ACCESS : fs_com.h
- FOPEN_WRITE_ACCESS : fs_com.h
- force_enumeration : usb_host_task.c , usb_host_task.h
- FOSC : config.h
- freeze_user_periodic_pipe() : usb_host_enum.c , usb_host_enum.h
- FS_512B : fat.h
- FS_512B_MASK : fat.h
- FS_512B_SHIFT_BIT : fat.h
- FS_ASCII : conf_explorer.h
- FS_ATTR_ARCHIVE : fs_com.h
- FS_ATTR_DIRECTORY : fs_com.h
- FS_ATTR_FILE : fs_com.h
- FS_ATTR_HIDDEN : fs_com.h
- FS_ATTR_LFN_ENTRY : fs_com.h
- FS_ATTR_READ_ONLY : fs_com.h
- FS_ATTR_SYSTEM : fs_com.h
- FS_ATTR_VOLUME_ID : fs_com.h
- FS_BOOT_SIGN : fat.h
- FS_BR_SIGNATURE_HIGH : fat.h
- FS_BR_SIGNATURE_LOW : fat.h
- FS_BUF_SECTOR_EMPTY : fat.h
- FS_CACHE_SIZE : fat.h
- FS_CLUS_BAD : fat.h
- FS_CLUS_END : fat.h
- FS_CLUS_OK : fat.h
- FS_CLUST_ACT_CLR : fat.h
- FS_CLUST_ACT_ONE : fat.h
- FS_CLUST_ACT_SEG : fat.h
- FS_CLUST_VAL_EOL : fat.h
- FS_CLUST_VAL_READ : fat.h
- FS_CLUST_VAL_WRITE : fat.h
- FS_DATE_CREATION : fs_com.h
- FS_DATE_LAST_WRITE : fs_com.h
- FS_DIR : fs_com.h
- FS_END_FIND : fat.h
- FS_ENTRY_DEL : fat.h
- FS_ENTRY_END : fat.h
- FS_ENTRY_LFN_LAST : fat.h
- FS_EOF : fs_com.h
- FS_ERR_BAD_NAV : fs_com.h
- FS_ERR_BAD_POS : fs_com.h
- FS_ERR_BAD_SIZE_FAT : fs_com.h
- FS_ERR_BUFFER_FULL : fs_com.h
- FS_ERR_COMMAND : fs_com.h
- FS_ERR_COPY_DIR : fs_com.h
- FS_ERR_COPY_IMPOSSIBLE : fs_com.h
- FS_ERR_COPY_RUNNING : fs_com.h
- FS_ERR_DEVICE_TOO_SMALL : fs_com.h
- FS_ERR_DIR_NOT_EMPTY : fs_com.h
- FS_ERR_END_OF_DRIVE : fs_com.h
- FS_ERR_ENTRY_BAD : fs_com.h
- FS_ERR_ENTRY_BADTYPE : fs_com.h
- FS_ERR_ENTRY_EMPTY : fs_com.h
- FS_ERR_EOF : fs_com.h
- FS_ERR_FILE_EXIST : fs_com.h
- FS_ERR_FILE_NO_OPEN : fs_com.h
- FS_ERR_FILE_OPEN : fs_com.h
- FS_ERR_FILE_OPEN_WR : fs_com.h
- FS_ERR_FS : fs_com.h
- FS_ERR_HW : fs_com.h
- FS_ERR_HW_NO_PRESENT : fs_com.h
- FS_ERR_ID_FILE : fs_com.h
- FS_ERR_INCORRECT_NAME : fs_com.h
- FS_ERR_IS_ROOT : fs_com.h
- FS_ERR_MODE_NOAVIALABLE : fs_com.h
- FS_ERR_NAME_INCORRECT : fs_com.h
- FS_ERR_NAME_TOO_LARGE : fs_com.h
- FS_ERR_NO_DIR : fs_com.h
- FS_ERR_NO_FILE : fs_com.h
- FS_ERR_NO_FILE_SEL : fs_com.h
- FS_ERR_NO_FIND : fs_com.h
- FS_ERR_NO_FORMAT : fs_com.h
- FS_ERR_NO_FREE_SPACE : fs_com.h
- FS_ERR_NO_MOUNT : fs_com.h
- FS_ERR_NO_PART : fs_com.h
- FS_ERR_NO_SUPPORT_PART : fs_com.h
- FS_ERR_OUT_LIST : fs_com.h
- FS_ERR_PL_ALREADY_OPEN : fs_com.h
- FS_ERR_PL_LST_BEG : fs_com.h
- FS_ERR_PL_LST_END : fs_com.h
- FS_ERR_PL_NOT_OPEN : fs_com.h
- FS_ERR_PL_OUT_LST : fs_com.h
- FS_ERR_PL_READ_ONLY : fs_com.h
- FS_ERR_READ_ONLY : fs_com.h
- FS_ERR_TOO_FILE_OPEN : fs_com.h
- FS_ERR_WRITE_ONLY : fs_com.h
- FS_FAT12_MAX_CLUSTERS : fat.h
- FS_FAT16_MAX_CLUSTERS : fat.h
- FS_FAT_12 : conf_explorer.h
- FS_FAT_16 : conf_explorer.h
- FS_FAT_32 : conf_explorer.h
- FS_FILE : fs_com.h
- FS_FIND_NEXT : navigation.h
- FS_FIND_PREV : navigation.h
- FS_FORMAT_DEFAULT : fs_com.h
- FS_FORMAT_DEFAULT_NOMBR : fs_com.h
- FS_FORMAT_FAT : fs_com.h
- FS_FORMAT_FAT32 : fs_com.h
- FS_FORMAT_FAT32_NOMBR : fs_com.h
- FS_FORMAT_FAT_NOMBR : fs_com.h
- FS_FORMAT_NOMBR_FLAG : fs_com.h
- fs_g_cache_clusterlist : fat.c
- fs_g_cluster : fat.h
- fs_g_nav : fat.h
- fs_g_nav_entry : fat.h
- fs_g_nav_fast : fat.h
- fs_g_sector : file.c , fat.h
- fs_g_sectorcache : fat.h
- fs_g_seg : fat.h
- fs_g_status : fs_com.h
- fs_g_u16_pos_fat : fat.c
- fs_g_u8_current_cache : fat.c
- fs_gu32_addrsector : fat.h
- FS_ID_DIR_EMPTY : fs_com.h
- FS_ID_DIR_ROOT : fs_com.h
- FS_LABEL_READ : fs_com.h
- FS_LABEL_WRITE : fs_com.h
- FS_LEVEL_FEATURES : conf_explorer.h
- FS_LUN_WP : fs_com.h
- FS_MASK_SIZE_OF_SECTOR : fat.h
- FS_MBR_OFFSET_PART_ENTRY : fat.h
- FS_MULTI_PARTITION : conf_explorer.h
- FS_NAME_CHECK : fs_com.h
- FS_NAME_GET : fs_com.h
- FS_NAV_ID_COPY_DST_DIR : conf_explorer.h
- FS_NAV_ID_COPY_SRC_DIR : conf_explorer.h
- FS_NAV_ID_COPYFILE : conf_explorer.h
- FS_NAV_ID_USHELL_CMD : conf_explorer.h
- FS_NB_CACHE_CLUSLIST : conf_explorer.h
- FS_NB_FAT : fat.h
- FS_NB_NAVIGATOR : conf_explorer.h
- FS_NO_LAST_LFN_ENTRY : fs_com.h
- FS_NO_SEL : fat.h
- FS_PART_BOOTABLE : fat.h
- FS_PART_HARD_DISK : fat.h
- FS_PART_NO_BOOTABLE : fat.h
- FS_PART_NO_REMOVE_MEDIA : fat.h
- FS_PART_REMOVE_MEDIA : fat.h
- FS_PART_TYPE_FAT12 : fat.h
- FS_PART_TYPE_FAT16_INF32M : fat.h
- FS_PART_TYPE_FAT16_SUP32M : fat.h
- FS_PART_TYPE_FAT16_SUP32M_BIS : fat.h
- FS_PART_TYPE_FAT32 : fat.h
- FS_PART_TYPE_FAT32_BIS : fat.h
- FS_SEEK_CUR_FW : file.h
- FS_SEEK_CUR_RE : file.h
- FS_SEEK_END : file.h
- FS_SEEK_SET : file.h
- FS_SHIFT_B_TO_FILE_ENTRY : fat.h
- FS_SHIFT_B_TO_SECTOR : fat.h
- FS_SIZE_FILE_ENTRY : fat.h
- FS_SIZE_LFN_ENTRY : fat.h
- FS_SIZE_OF_SECTOR : fat.h
- FS_SIZE_SFNAME : fat.h
- FS_SIZE_SFNAME_EXT_ONLY : fat.h
- FS_SIZE_SFNAME_WITHOUT_EXT : fat.h
- FS_SN_READ : fs_com.h
- FS_SN_WRITE : fs_com.h
- Fs_status : fs_com.h
- FS_STR_UNICODE : fs_com.h
- FS_STRING : fs_com.h
- FS_TYPE_FAT_12 : fat.h
- FS_TYPE_FAT_16 : fat.h
- FS_TYPE_FAT_32 : fat.h
- FS_TYPE_FAT_UNM : fat.h
- FS_UNICODE : conf_explorer.h
- FSFEATURE_ALL : fs_com.h
- FSFEATURE_READ : fs_com.h
- FSFEATURE_WRITE : fs_com.h
- FSFEATURE_WRITE_COMPLET : fs_com.h
- FUSE_BOOTRST_bp : flash_drv.h
- FUSE_BOOTSZ0_bp : flash_drv.h
- FUSE_BOOTSZ1_bp : flash_drv.h
- FUSE_EESAVE_bp : flash_drv.h
- FUSE_JTAGEN_bp : flash_drv.h
- FUSE_OCDEN_bp : flash_drv.h
- FUSE_SPIEN_bp : flash_drv.h
- FUSE_WDTON_bp : flash_drv.h